Get All People ( STABLE )
curl --request GET \
--url https://api.grailpay.com/api/v3/people \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.grailpay.com/api/v3/people"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.grailpay.com/api/v3/people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "",
"data": {
"people": [
{
"person": {
"client_reference_id": "reference_12345",
"status": "APPROVED",
"uuid": "7c41f6a2-a4b9-4df8-9225-2c1b7312042e",
"payout_type": "batch",
"first_name": "John",
"last_name": "Dew",
"email": "john.doe@example.com",
"phone": "2457856490",
"address": {
"line_1": "10554 W Quarles Ave",
"line_2": "Suite 123",
"city": "Littleton",
"state": "CO",
"zip": "80127"
},
"timestamps": {
"created_at": "2024-06-25 13:57:03"
}
},
"bank_accounts": [
{
"aggregator_type": "manual",
"uuid": "9b97f121-a449-4b52-9f36-6c55f18394d6",
"is_default": true,
"account_number": "********1234",
"routing_number": "*****6789",
"account_name": "John Doe",
"account_type": "checking",
"timestamps": {
"created_at": "2024-06-25 13:57:03"
}
}
],
"relations": {
"merchant": {
"uuid": "c6bcfbbb-98ff-4d8b-a8f5-1559c3dcb718"
}
}
}
]
},
"errors": null,
"request_id": "2d6a4c39-8fcf-4d80-9189-b4764eac31f2",
"meta": {
"current_page": 1,
"from": 1,
"last_page": 25,
"links": [
{}
],
"per_page": 15,
"to": 15,
"total": 370
}
}{
"status": false,
"message": "Invalid Parameters Received",
"data": null,
"errors": null,
"request_id": "2d6a4c39-8fcf-4d80-9189-b4764eac31f2"
}{
"status": false,
"message": "Invalid token.",
"data": null,
"errors": null,
"request_id": "2d6a4c39-8fcf-4d80-9189-b4764eac31f2"
}{
"status": false,
"message": "The given data was invalid.",
"data": null,
"errors": {
"filter.uuid": [
"The person UUID must be a valid UUID."
],
"filter.client_reference_id": [
"The client reference ID must be a string.",
"The client reference ID may not be greater than 255 characters."
],
"filter.first_name": [
"The first name must be a string.",
"The first name may not be greater than 255 characters."
],
"filter.last_name": [
"The last name must be a string.",
"The last name may not be greater than 255 characters."
],
"sort": [
"The sort option must be one of the followings: created_at, -created_at, first_name, -first_name, last_name, -last_name"
],
"per_page": [
"The per page may not be greater than 200.",
"The per page must be at least 1.",
"The per page must be an integer."
],
"page": [
"The page must be an integer.",
"The page must be at least 1."
]
},
"request_id": "2d6a4c39-8fcf-4d80-9189-b4764eac31f2"
}{
"status": false,
"message": "Something went wrong on our side. Please contact support.",
"data": null,
"errors": null,
"request_id": "2d6a4c39-8fcf-4d80-9189-b4764eac31f2"
}Users
Get All People ( STABLE )
This endpoint provides a comprehensive list of all registered people, including essential details. Pagination options are available to efficiently manage large datasets.
GET
/
api
/
v3
/
people
Get All People ( STABLE )
Authorizations
Token-based authentication using Authorization: Bearer <YOUR_API_KEY> provided by the GrailPay Support Team.
Query Parameters
Filter by person UUID
Example:
"7c41f6a2-a4b9-4df8-9225-2c1b7312042e"
Filter by client reference ID
Example:
"reference_12345"
Filter by first name
Example:
"John"
Filter by last name
Example:
"Doe"
Sort by field (created_at, first_name, last_name). Prefix with '-' for descending order
Example:
"-created_at"
Page number for pagination
Example:
1
Number of records per page
Example:
15
⌘I
